./devel/lua-compat53 [compatibility module providing Lua 5.3 style APIs]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 0.7, Package name: lua-compat53-0.7
Maintained by: The OpenBSD ports mailing-list
Master sites:
Flavors (export FLAVOR=xyz, setenv FLAVOR xyz):
  • lua52
Description
Compatibility module that aims to make it easier to write code in a
Lua 5.3 style that is compatible with Lua 5.1, Lua 5.2, and Lua 5.3.

This does not make Lua 5.2 (or even Lua 5.1) entirely compatible with
Lua 5.3, but it brings the API closer to that of Lua 5.3.


Filesize: 50.179 KB
Version History (View Complete History)
  • (2018-09-02) Updated to version: lua-compat53-0.7
  • (2018-01-30) Package added to openports.se, version lua-compat53-0.6 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2020-02-03 15:42:36 by Frederic Cambus | Files touched by this commit (10)
Log message:
Drop maintainership for Lua modules.
   2019-07-12 14:45:17 by Stuart Henderson | Files touched by this commit (859)
Log message:
replace simple PERMIT_PACKAGE_CDROM=Yes with PERMIT_PACKAGE=Yes
   2018-09-02 01:13:07 by Frederic Cambus | Files touched by this commit (2)
Log message:
Update lua-compat53 to 0.7.